#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=uAssets
commit=3a00c406e41114c159dfebd5b6bc30fc02dd4014
url=https://github.com/uBlockOrigin/uAssets/archive/${commit}/${name}-${commit}.tar.gz
pushd "$tmp"
curl -L ${url} | tar xzf -
pushd ${name}-${commit}
# Malwaredomains list is non-commercial-only
# http://www.malwaredomains.com/?page_id=1508
rm -r thirdparties/mirror1.malwaredomains.com
# Peter Lowe's adservers list is non-commercial-only
# https://github.com/uBlockOrigin/uAssets/issues/7657
rm -r thirdparties/pgl.yoyo.org
popd
tar czf "$pwd"/${name}-${commit}.tar.gz ${name}-${commit}
popd
